Summary: A C library for creating Common Gateway Interface ("CGI") programs
Name: cgi-util
Version: 2.2.1
Release: 8
License: LGPL
Group: System Environment/Libraries
Source: ftp://ftp.billsgames.com/unix/www/%name/%{name}-%{version}.tar.gz
Patch0: cgi-util-2.2.1-autotools.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: http://www.newbreedsoftware.com/cgi-util/

%description
cgi-util is a library which provides a set of C functions you can
use to create Common Gateway Interface ("CGI") programs.  Simply call
cgi-util's initialization function and send HTML (or any other kind of
data) out from your program and to the user's web browser.

%package devel
Summary: Files needed to develop applications using cgi-util
Group: Development/Libraries
Requires: cgi-util = %{version}-%{release}

%description devel
This package provides the libraries, include files, and other resources
needed for developing applications using the cgi-util library.

%prep
%setup
%patch0 -p1
chmod +x configure

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
rm -f ${RPM_BUILD_ROOT}/%{_libdir}/libcgi-util.la
rm -f ${RPM_BUILD_ROOT}/%{_bindir}/*.cgi

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%{_libdir}/lib*.so.*
%doc ChangeLog COPYING INSTALL TODO test.cgi filetest.cgi test.html filetest.html

%files devel
%{_libdir}/lib*.so
%{_includedir}/cgi-util.h
%doc README test.c filetest.c

%changelog
* Thu Sep 07 2006 W. Michael Petullo <mike[@]flyn.org> - 2.2.1-8
   - Rebuild for FC6.

* Tue Apr 04 2006 W. Michael Petullo <mike[@]flyn.org> - 2.2.1-7
   - Remove *.cgi from bindir.

* Thu Mar 09 2006 W. Michael Petullo <mike[@]flyn.org> - 2.2.1-6
   - Move test.cgi and filetest.cgi to %doc.
   - Move README to -devel %doc and add test.c and filetest.c.
   - Pass --disable-static to configure.

* Thu Feb 23 2006 W. Michael Petullo <mike[@]flyn.org> - 2.2.1-5
   - Remove Werror from Makefile.in.
   - Remove --gnu from autotools options.
   - Revert patch that renames, for example, README.txt to README
     as this is required for automake.

* Wed Feb 22 2006 W. Michael Petullo <mike[@]flyn.org> - 2.2.1-4
   - Turn off -Werror.

* Tue Feb 21 2006 W. Michael Petullo <mike[@]flyn.org> - 2.2.1-3
   - Simplify project descriptions.
   - Do not change filenames in autotools patch.

* Tue Dec 13 2005 W. Michael Petullo <mike[@]flyn.org> - 2.2.1-2
   - Split out -devel package.

* Wed Nov 30 2005 W. Michael Petullo <mike[@]flyn.org> - 2.2.1-1
   - Initial RPM.
